/*		 ICP-PCI Kernel module free public release
 *
 *		       Copyright (C) 1996-99 GOM mbH.
 *	         Rebenring 33, 38106 Braunschweig, GERMANY
 *		            All rights reserved
 *
 * $Id: config.l,v 5.1 1999/05/04 12:37:27 matthias Exp $
 *
 */

%{

#include	<stdio.h>
#include	<strings.h>

#include	"y.tab.h"
#include	"icpciExt.h"

int		l_valid = FALSE;

%}

%%

#[^\n]*			/* forget any comment */

"[ICP:0]"|"[IC-PCI:0]"|"[PCVision:0]"	{ l_valid = TRUE; return (BOARD_0); }

"[ICP:1]"|"[IC-PCI:1]"|"[PCVision:1]"	{ l_valid = TRUE; return (BOARD_1); }

"[ICP:2]"|"[IC-PCI:2]"|"[PCVision:2]"	{ l_valid = TRUE; return (BOARD_2); }

"[ICP:3]"|"[IC-PCI:3]"|"[PCVision:3]"	{ l_valid = TRUE; return (BOARD_3); }

"[AM-FA]"				{ l_valid = TRUE; return (MODULE_FA); }

"[AM-VS]"				{ l_valid = TRUE; return (MODULE_VS); }

"[AM-CLR]"|"[AM-CLR1]"|"[AM-Color]"	{ l_valid = TRUE; return (MODULE_C1); }

"[AM-DIG]"|"[AM-Digital]"		{ l_valid = TRUE; return (MODULE_DG); }

"[AM-V:0]"				{ l_valid = TRUE; return (MODULE_PV); }

"[CameraPort:0]"	{ l_valid = TRUE; return (CAMERA_0); }

"[CameraPort:1]"	{ l_valid = TRUE; return (CAMERA_1); }

"[CameraPort:2]"	{ l_valid = TRUE; return (CAMERA_2); }

"[CameraPort:3]"	{ l_valid = TRUE; return (CAMERA_3); }

"["[[:print:]]*"]"	{ l_valid = FALSE; }

Slot_Number[^\n]*
Startup_Port[^\n]*
Name[^\n]*
Camera_Structure[^\n]*
Create_Structure[^\n]*
Default_Structure[^\n]*
FPGA_File[^\n]*
Load_File[^\n]*
Load_Name[^\n]*
Model[^\n]*
CCIR
RS170

\"[[:print:]]*\"	{ if (l_valid) {
			    strcpy (yylval.char_val, yytext);
			    return (STRING);
			  }
			}

[[:digit:]]+		{ if (l_valid) {
			    yylval.long_val = strtol (yytext, NULL, 10);
			    return (DIGIT);
			  }
			}

0[xX][[:xdigit:]]+	{ if (l_valid) {
			    yylval.long_val = strtol (yytext, NULL, 16);
			    return (DIGIT);
			  }
			}

[A-Z|a-z|0-9|_|"."]+	{ if (l_valid) {
			    strcpy (yylval.char_val, yytext);
			    return (WORD);
			  }
			}

=			{ return (PARAM_FOLLOWS); }

.|\n			/* forget the rest */

%%

